## org.apache.tools.ant.types
Class CommandlineJava.SysProperties

    java.lang.Object
      |
      +--org.apache.tools.ant.types.Environment
            |
            +--org.apache.tools.ant.types.CommandlineJava.SysProperties

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  CommandlineJava

public static class CommandlineJava.SysProperties
extends Environment
implements java.lang.Cloneable

Specialized Environment class for System properties

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.types.Environment
`Environment.Variable`

Field Summary

Fields inherited from class org.apache.tools.ant.types.Environment
`variables`

Constructor Summary
`CommandlineJava.SysProperties()`

Method Summary
`java.lang.Object` `clone()`
`java.lang.String[]` `getVariables()`
`void` `restoreSystem()`
`void` `setSystem()`
`int` `size()`

Methods inherited from class org.apache.tools.ant.types.Environment
`addVariable`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandlineJava.SysProperties

    public CommandlineJava.SysProperties()

Method Detail

### getVariables

    public java.lang.String[] getVariables()
                                    throws BuildException

  Overrides:
    `getVariables` in class `Environment`
    `BuildException`

### size

    public int size()

### setSystem

    public void setSystem()
                   throws BuildException

    `BuildException`

### restoreSystem

    public void restoreSystem()
                       throws BuildException

    `BuildException`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.